"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getImportObjInfo = void 0;
const wasm_parser_1 = require("@webassemblyjs/wasm-parser");
const ast_1 = require("@webassemblyjs/ast");
function getImportObjInfo(binary) {
    const decoderOpts = {};
    const ast = (0, wasm_parser_1.decode)(binary, decoderOpts);
    let map = new Map();
    (0, ast_1.traverse)(ast, {
        ModuleImport(path) {
            const node = path.node;
            map.set(node.module, (map.get(node.module) || []).concat([node.name]));
        },
    });
    return map;
}
exports.getImportObjInfo = getImportObjInfo;
